Package org.gitana.platform.client.support

# Interface Transferable

All Known Subinterfaces:
  `Application`, `ApplicationDocument`, `Archive`, `AssociationDefinition`, `AuthenticationGrant`, `AutoClientMapping`, `BillingProviderConfiguration`, `Branch`, `Changeset`, `Client`, `Cluster`, `ClusterDataStore`, `DataStore`, `Definition`, `Deletion`, `DeployedApplication`, `Directory`, `DirectoryDocument`, `Domain`, `DomainDocument`, `DomainGroup`, `DomainPrincipal`, `DomainUser`, `Email`, `EmailProvider`, `FeatureDefinition`, `Form`, `Group`, `Identity`, `Meter`, `Node`, `NodeList`, `Person`, `Plan`, `Platform`, `PlatformDataStore`, `PlatformDocument`, `Project`, `Registrar`, `RegistrarDocument`, `Registration`, `Release`, `Repository`, `RepositoryDocument`, `Rule`, `Settings`, `Stack`, `Tenant`, `TypeDefinition`, `Vault`, `VaultDocument`, `WebHost`, `WebHostDocument`

All Known Implementing Classes:
  `AbstractApplicationDocumentImpl`, `AbstractClusterDataStoreImpl`, `AbstractDataStoreImpl`, `AbstractDefinitionImpl`, `AbstractDirectoryDocumentImpl`, `AbstractDomainDocumentImpl`, `AbstractDomainPrincipalImpl`, `AbstractPlatformDataStoreImpl`, `AbstractPlatformDocumentImpl`, `AbstractRegistrarDocumentImpl`, `AbstractRepositoryDocumentImpl`, `AbstractVaultDocumentImpl`, `AbstractWebHostDocumentImpl`, `ApplicationImpl`, `ArchiveImpl`, `AssociationDefinitionImpl`, `AssociationImpl`, `AuthenticationGrantImpl`, `AutoClientMappingImpl`, `BaseNodeImpl`, `BillingProviderConfigurationImpl`, `BranchImpl`, `ChangesetImpl`, `ChildAssociationImpl`, `ClientImpl`, `ClusterImpl`, `CopiedFromAssociationImpl`, `CreatedAssociationImpl`, `DeletedAssociationImpl`, `DeletionImpl`, `DeployedApplicationImpl`, `DirectoryImpl`, `DomainGroupImpl`, `DomainImpl`, `DomainUserImpl`, `EmailImpl`, `EmailProviderImpl`, `FeatureDefinitionImpl`, `FormImpl`, `GroupImpl`, `HasBehaviorAssociationImpl`, `HasFormAssociationImpl`, `HasLockAssociationImpl`, `HasMountAssociationImpl`, `HasTranslationAssociationImpl`, `IdentityImpl`, `LinkedAssociationImpl`, `MeterImpl`, `NodeImpl`, `NodeListImpl`, `OwnedAssociationImpl`, `PersonImpl`, `PlanImpl`, `PlatformImpl`, `ProjectImpl`, `RegistrarImpl`, `RegistrationImpl`, `ReleaseImpl`, `RepositoryImpl`, `RuleImpl`, `SettingsImpl`, `StackImpl`, `TenantImpl`, `TypeDefinitionImpl`, `UpdatedAssociationImpl`, `VaultImpl`, `WebHostImpl`

public interface Transferable

Author:
  uzi

## Method Summary

Modifier and Type
Method
Description
`Archive`
`exportArchive(Vault vault, String groupId, String artifactId, String versionId)`
Exports synchronously and hands back the binary directly.
`Archive`
`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration)`
Exports synchronously and hands back the binary directly.
`TransferExportJob`
`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Exports either synchronously or asynchronously, returning the job.
`TransferImportJob`
`importArchive(Archive archive)`
Imports an archive synchronously, returning the job.
`TransferImportJob`
`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration)`
Imports an archive synchronously, returning the job.
`TransferImportJob`
`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Imports either synchronously or asynchronously, returning the job.

## Method Details

### exportArchive

Archive exportArchive(Vault vault, String groupId, String artifactId, String versionId)
Exports synchronously and hands back the binary directly.

Parameters:
  `vault` -
  `groupId` -
  `artifactId` -
  `versionId` -
Returns:

### exportArchive

Archive exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration)
Exports synchronously and hands back the binary directly.

Parameters:
  `vault` -
  `groupId` -
  `artifactId` -
  `versionId` -
  `configuration` -
Returns:

### exportArchive

TransferExportJob exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)
Exports either synchronously or asynchronously, returning the job.

Parameters:
  `vault` -
  `groupId` -
  `artifactId` -
  `versionId` -
  `configuration` -
  `schedule` -
Returns:

### importArchive

TransferImportJob importArchive(Archive archive)
Imports an archive synchronously, returning the job.

Parameters:
  `archive` -
Returns:

### importArchive

TransferImportJob importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration)
Imports an archive synchronously, returning the job.

Parameters:
  `archive` -
  `configuration` -
Returns:

### importArchive

TransferImportJob importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)
Imports either synchronously or asynchronously, returning the job.

Parameters:
  `archive` -
  `configuration` -
  `schedule` -
Returns: